connect changelog
=================

3.0
---
  - Auto patch load_version to load the latest connect version on disk (#20)

    The logic that loads the latest connect version on disk needed to be 
    updated so that it will detect and load the latest version correctly. 
    In the previous logic, this failed to detect and load the latest version
    when the minor version went beyond 9 due to a simple string comparison
    which is not sufficient. This patch will only apply if you have connect 
    installed along side within the official cragl installation  folder. We
    update this module once on the fly, due to the fact that it is located by
    purpose -outside- of the actual connect package root.

    Technical node: Please note that a major version update had to be applied
    for this step so that the legacy load_version logic detects the correct
    connect version to load. This updated version if however no API breaking 
    change; But we still depend on having a major version update due to the
    incorrect loading of the legacy load_version module.

2.11
----
  - Fix: Multiple signals in connect under Nuke-13 do not trigger slots (#19)

    The update, load/unload and uninstall widgets for tools in connect's
    'installed tools' tab did not trigger the respective actions under Nuke-13.
    This has been fixed now so that you can update, load/unload and uninstall
    tools.

2.10
----
  - Port to Nuke-13 (#18)

2.9
---
  - Add 'show in-depth changes' button in tool update window (#17)
  
    Clicking this button navigates you to the 'updates.html' page of the
    respective tool's documentation page. This page gives a bit more information
    about the changes of any tool version and creates more transparency in
    what has changed between versions.

  - Allow install when license quantity is 0 but tool is contained in DB (#16)

  - Add statistics: Keep record of os and nuke version (#12)
  
    In order to offer you best plugins we would like to keep record of your
    used operating system and Nuke version. This helps us very much to get
    better insight about your needs for all current and upcoming cragl tools.
    By default, we keep record of this information and would kindly ask you
    to keep this functionality enabled. But if you don't want that then this
    is totally fine. You can disable it by un-checking the 'send statistics' 
    checkbox in connect's settings tab or by setting the environment variable
    CRAGL_SEND_STATISTICS to 'False'.

2.8
---
  - Compare tool versions using LooseVersion when checking for tool updates
  
2.7
---
  - Bring back video player for tools in Nuke-12 and Nuke-10 and below (#13)

    In the past, we used to have a video player in the connect main window to
    be able to view any tool teaser right inside of Nuke. However, Nuke-11
    missed some crucial multimedia libraries which made playback of videos not
    feasible. Since Nuke-12 some new multimedia libraries were added so that
    we were now able to bring back the video player feature for our tools for
    Nuke-12 onwards and Nuke-10 and below. When running in Nuke-11 you will
    see a static image for the currently viewed tool.

  - Clicking any badge logo launches the tool's web page (#14)

    The connect main window shows logos for all installed tools. Clicking any
    of these will launch the tool's web page in your browser. This is also a
    quick way to jump to a tool's page and its online documentation.

2.6
---
  - Fix: Show auto version update notification not triggered in Nuke-12
  - Bring back splash screen

2.5
---
  - Speed up launching connect by being able to explicitly run in offline mode

2.4
---
  - Make Nuke12 ready

2.3
---
  - Open up for site licenses
  - Use credentials to install a tool
  - Add sphinx documentation
  - Update internal package structure

2.2
---
  - Make shortcut to open connect editable
  - Enable Proxy mode
  - Bring back the 'trial' button for uninstalled tools

2.1
---
  - Code Optimizations to improve loading speed
  - Create and enable caching
  - Enable installation for free tools

2.0
---
  - Make Nuke11 ready
  - Major code updates and code improvements

1.3
---
  - Settings tab - show connect root location
  - Fix bug that caused connect in some occasions not starting because of
    missing dll files in windows 10

1.2
---
  - Overall code optimization
  - Double click a tool from the short description on the left to show it in
    the tool description on the right
  - Optimized offline mode

1.1
---
  - Fix bug that caused connect from not working correctly when working in
    offline mode

1.0
---
  - Initial Release
